---
title: PositionSensorVRDevice.resetSensor()
slug: Web/API/PositionSensorVRDevice/resetSensor
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Method
  - Obsolete
  - PositionSensorVRDevice
  - Reference
  - Référence(2)
  - VR
  - Virtual Reality
  - WebVR
  - resetSensor
---
<div>{{obsolete_header()}}{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>resetSensor()</code></strong> method of the {{domxref("VRDevice")}} interface <dfn>can be used to reset the sensor if desired, returning the</dfn> position and orientation values to zero.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">PositionSensorVRDevice.resetSensor();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>Void.</p>

<h2 id="Examples">Examples</h2>

<p>Our <a href="https://mdn.github.io/webvr-tests/positionsensorvrdevice/">positionsensorvrdevice</a> demo uses the WebVR API to update the view of a simple {{domxref("CanvasRenderingContext2D","2D canvas")}} scene on each frame of a {{domxref("window.requestAnimationFrame()","requestAnimationFrame")}} loop. It features, among other things, a "Reset Sensor" button in the UI, which when pressed runs the <code>resetSensor()</code> function on the position sensor. The JavaScript looks like this:</p>

<pre class="brush: js">document.querySelector('button').onclick = function() {
  gPositionSensor.resetSensor();
}</pre>

<p>When the button is pressed, the current position, orientation, etc. of the sensor/head mounted display is set to be 0 — this makes the method useful for calibration when an app is first loaded.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.PositionSensorVRDevice.resetSensor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a>.</li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
